%
% Estimate the autocorrelation for the batch dataset.
%
load batch
N=length(batch);
%
%  First plot the raw data.
%
figure(1);
plot(batch,'ko-');
xlabel('Sample');
ylabel('Output');
print -deps batchdata.eps
%
% Next, plot the autocorrelations.
%
for k=0:20
  myr(k+1)=r(batch,k);
end
figure(2);
plot(0:20,myr,'ko');
xlabel('lag k');
ylabel('r_k');
print -deps batchautocorr.eps
%
% Now, find the periodogram.
%
Z=fft(batch);
freqs=(0:(N-1))/N;
%
% Since we don't know a sampling rate, we'll have to use f/fs for
% our axis.
%
figure(3);
plot(freqs,20*log10(abs(Z)/sqrt(N)),'k');
ylabel('PSD (dB)');
xlabel('f/fs');
print -deps batchperiodogram.eps
